Skip to main content
POST
/
v1
/
orders
/
estimate
Generate estimated Order values
curl --request POST \
  --url https://api.tread-horizon.com/v1/orders/estimate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "equipment_capacity": 123,
  "job_duration_minutes": 123,
  "cycle_time_minutes": 123,
  "total_loads": 123,
  "truck_quantity": 123,
  "total_units": 123
}
'
{
  "data": {
    "truck_quantity": 123,
    "loads_per_truck": 123,
    "total_loads": 123,
    "delivered_per_truck": 123,
    "total_units": 123,
    "units_per_hour": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Body

application/json
equipment_capacity
number
required
job_duration_minutes
integer
required
cycle_time_minutes
integer
required
total_loads
integer

Required if you want calculations based on total loads counts

truck_quantity
integer

Required if you want calculations based on truck count

total_units
integer

Required if you want calculations based on total units of material

Response

OK

data
Order-Estimate-Read · object
required